#
# spec file for package xdg-utils (Version 1.0.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xdg-utils
BuildRequires:  make
License:        X11/MIT
Group:          System/GUI/Other
Summary:        Utilities to uniformly interface desktop environments
Version:        1.0.2
Release:        37.1
BuildArch:      noarch
Url:            http://portland.freedesktop.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%{version}.tar.bz2
Patch0:         xdg-su.diff
Patch1:         xfce-su.diff
Patch2:         CVE-2008-0386.diff

%description
The xdg-utils package is a set of simple scripts that provide basic
desktop integration functions for any Free Desktop, such as Linux.

They are intended to provide a set of defacto standards.  This means
   that: *  Third party software developers can rely on these
   xdg-utils for all of their simple integration needs.

*  Developers of desktop environments can make sure that their
   environments are well supported

If a desktop developer wants to be certain that their environment
functions with all third party software, then can simply make sure that
these utilities work properly in their environment.



%prep
%setup -q -n %name-%{version}
%patch0
%patch1
%patch2

%build
%configure
make %{?jobs:-j %jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README TODO ChangeLog
#/usr/bin/xdg-copy
/usr/bin/xdg-desktop-icon
/usr/bin/xdg-desktop-menu
/usr/bin/xdg-email
/usr/bin/xdg-icon-resource
#/usr/bin/xdg-menu
/usr/bin/xdg-mime
/usr/bin/xdg-open
/usr/bin/xdg-su
/usr/bin/xdg-screensaver
#%{_mandir}/man1/xdg-copy.1.gz
#%{_mandir}/man1/xdg-desktop.1.gz
%{_mandir}/man1/xdg-desktop-icon.1.gz
%{_mandir}/man1/xdg-desktop-menu.1.gz
%{_mandir}/man1/xdg-email.1.gz
%{_mandir}/man1/xdg-icon-resource.1.gz
#%{_mandir}/man1/xdg-menu.1.gz
%{_mandir}/man1/xdg-mime.1.gz
%{_mandir}/man1/xdg-open.1.gz
%{_mandir}/man1/xdg-su.1.gz
%{_mandir}/man1/xdg-screensaver.1.gz

%changelog
* Thu Feb  7 2008 dmueller@suse.de
- fix command injection (#bnc355061, CVE-2008-0386)
* Mon Oct 22 2007 stbinner@suse.de
- update to 1.0.2:
  * SVG icons are not supported but doc still mentioned SVG
  * xdg-email can now be used without any e-mail address
  * do not use mktemp without arguments, it breaks on systems with
    certain older versions of mktemp
* Thu Sep 20 2007 dmueller@suse.de
- fix xdg-su outside KDE/GNOME (#309164)
* Thu Aug 30 2007 dmueller@suse.de
- fix xdg-su for XFCE (#304753)
* Tue May 22 2007 dmueller@suse.de
- add xdg-su (#275937)
* Mon Nov  6 2006 dmueller@suse.de
- update to 1.0.1:
  * Several shell syntax issues causing failures on Ubuntu 6.10
  * Spurious output on stdout when running xdg-desktop-menu
  * Non-ascii mailto URI handling of xdg-email on non-UTF8 locales
    under KDE
* Fri Oct 27 2006 dmueller@suse.de
- don't build as root
* Wed Sep 27 2006 dmueller@suse.de
- update to 1.0rc1:
  * for changes, see /usr/share/doc/packages/xdg-utils/ChangeLog
* Thu Jun 22 2006 dmueller@suse.de
- Initial package (TP1)
